<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>搜索结果_<%=TD_home%></title>
<meta name="keywords" content="<%=TD_keywords%>" />
<meta name="description" content="<%=TD_description%>" />
</head>
<!--#include file="css_js.html" --><body  class="wrap">
<!--#include file="top.html" -->

<table width="984" border="0" cellspacing="5" cellpadding="0">
  <tr>
    <td width="187" height="196" valign="top"><table width="32%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="6"></td>
      </tr>
      <tr>
        <td><img src="/skins/images/main_top.jpg" width="187" height="32"></td>
      </tr>
      <tr>
        <td height="72" background="/skins/images/main_bg.jpg">
		<ul class="daohang">
        <%=TD_products_class%>  
        </ul></td>
      </tr>
      <tr>
        <td><img src="/skins/images/main_end.jpg" width="187" height="122"></td>
      </tr>
    </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="5"></td>
        </tr>
      </table>
      <table width="32%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="6"></td>
        </tr>
        <tr>
          <td><img src="/skins/images/main_xw1.jpg" width="187" height="32"></td>
        </tr>
        <tr>
          <td height="180" valign="top" background="/skins/images/main_bg.jpg">
		  <ul class="daohang">
			 <%=OneF_news_all(1,6)%>  
          </ul></td>
        </tr>
        <tr>
          <td><img src="/skins/images/main_end1.jpg" width="187" height="11"></td>
        </tr>
      </table></td>
    <td width="782" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="34">
		<div class="biaoti">
       <p>您当前的位置: <%=TD_home%> > <a href="<%=TD_url%>">首页</a> > <span class="last_co"><a href="/so/">搜索结果</a></span> </p>
		<h1><span>您当前所在位置：<a href="<%=TD_url%>">首页</a>>&nbsp;搜索结果</span>搜索结果</h1>
		</div>
	  </td>
      </tr>
      <tr>
        <td height="155" valign="top">
		<div class="picture1">      	
<div class="shop_list00">
        	<div class="list_topbottom1">
            </div>

        	<div class="list_topbottom2">
            </div>      
       <%	
t=request.QueryString("t") 
key=request.QueryString("key") 
if t="" then
Response.Write("<script>alert('请选择要搜索的栏目!');history.back();</script>")
Response.End()
end if
if key="" then
Response.Write("<script>alert('请输入关键词!');history.back();</script>")
Response.End()
end if
set rs=server.createobject("adodb.recordset") 
if t=1 then
exec="select * from [news] where title like '%"&key&"%'  order by id desc  " 
elseif t=2 then
exec="select * from [Products] where title like '%"&key&"%'  order by id desc  " 
else
exec="select * from [download] where title like '%"&key&"%'  order by id desc  " 
end if
rs.open exec,conn,1,1 
if rs.eof then
response.Write "&nbsp;没有搜索到相关内容！"
else
rs.PageSize =10 '每页记录条数
iCount=rs.RecordCount '记录总数
iPageSize=rs.PageSize
maxpage=rs.PageCount 
page=request("page")
if Not IsNumeric(page) or page="" then
page=1
else
page=cint(page)
end if
if page<1 then
page=1
elseif  page>maxpage then
page=maxpage
end if
rs.AbsolutePage=Page
if page=maxpage then
x=iCount-(maxpage-1)*iPageSize
else
x=iPageSize
end if	
For i=1 To x
dim img
if IsNull(rs("img")) or trim(rs("img")&"")="" then
img="/images/pic.GIF"
else
img=""&rs("img")&""
end if
%>
<%if t=1 then%>
<li class="comment_odd">
            <div class="author"><img class="avatar" src="<%=img%>" width="80" height="80" alt="<%=rs("title")%>" /><span class="name"><a href="/ShowNews/?<%=rs("id")%>-1.html"   title="<%=rs("title")%>"><%=InterceptString(rs("title"),50)%></a></span></div>
            <div class="submitdate">浏览：<%=rs("hit")%><font color="#0075a9"> 发布时间：<%=rs("data")%></div>
            <p><%=i5808(rs("body"),150)%></p>
          </li>
   
<%elseif t=2 then%>

<div class="pic1">
<a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"><img src="<%=rs("img")%>" width='180' height='189' border='0'></a>
<span><a href="/ShowProducts/?<%=rs("id")%>-1.html" title="<%=rs("title")%>"> <%=i5808(rs("title"),18)%></a></span>
</div>          
<%end if%>
<%rs.movenext
next
end if
%>      

            <div class="pageall">
            <%'以下显示分页
 call PageControl(iCount,maxpage,page,"border=0 align=center","<p align=center>")
rs.close
set rs=nothing
%>
            </div>
		</div>
		</div>       
		</td>
      </tr>
    </table></td>
  </tr>
</table>


   <!--#include file="foot.html" -->
</body>
</html>
